be.fgov.ehealth.commons.core.v1

## Class StatusType

- java.lang.Object
- - be.fgov.ehealth.commons.core.v1.StatusType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:51:16+01:00",
                 comments="JAXB RI v2.3.7")
      public class StatusType
      extends Object
      implements Serializable

  Basic Type for Status of a Response.

  Java class for StatusType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StatusType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Message" type="{urn:be:fgov:ehealth:commons:core:v1}LocalisedString" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `List<LocalisedString>` | `getMessages()` Gets the value of the messages property.
    `void` | `setCode(String value)` Sets the value of the code property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusType

          public StatusType()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMessages

          public List<LocalisedString> getMessages()

      Gets the value of the messages property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the messages property.

      For example, to add a new item, do as follows:

              getMessages().add(newItem);

      Objects of the following type(s) are allowed in the list `LocalisedString`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.